<?php
namespace Drupal\commerce_vpay;

class VPayLibrary {
  function calculateChecksum($secret_key, $all) {
    $hash = hash_hmac('sha256', $all , $secret_key);
    $checksum = $hash;
    return $checksum;
  }

  function verifyChecksum($checksum, $all, $secret) {
    $cal_checksum = VPayLibrary::calculateChecksum($secret, $all);
    $bool = 0;
    if($checksum == $cal_checksum)  {
      $bool = 1;
    }

    return $bool;
  }
    
  function getCheckSumString($paramArray, $format){
       $format =str_replace("" , "", $format);
       $fields =  explode ( "" , $format);
       $checkSumString = "";
       for($i=1;$i< count($fields);$i++){
           $field = $fields[$i];
           $checkSumString .= "'".$paramArray[$field]."'";
       }
        return $checkSumString;
    }
}
